Subject: python-omero-py and python-zeroc-ice-3.6 do not support Python 3.11

From: Sharlatan Hellseher <[email-masked]>
Date: Mon, 21 Apr 2025 16:26:58 +0100

Hi,

While applying <https://issues.guix.gnu.org/77895> I've noticed we still
need python-mox3 for python-omero-py but it fails to build due to known
issue with zero-c-ice-3.6 supporting Python 3.11.

What would our strategy here?

No eval.h in python 3.11: <https://github.com/zeroc-ice/ice/issues/1393>
zeroc-ice fails to build wheel: <https://github.com/ome/omero-py/issues/360>

--
Oleg